Subject: Re: [RFC PATCH 4/6] commit-graph: avoid writing when repo is shallow

From: Jakub Narebski <[email-masked]>
Date: Sat, 02 Jun 2018 20:39:49 +0200

Derrick Stolee <[email-masked]> writes:
> On 5/31/2018 10:30 PM, Junio C Hamano wrote:
>> Derrick Stolee <[email-masked]> writes:
>>
>>> Shallow clones do not interact well with the commit-graph feature for
>>> several reasons. Instead of doing the hard thing to fix those
>>> interactions, instead prevent reading or writing a commit-graph file for
>>> shallow repositories.
>>
>> The latter instead would want to vanish, I would guess.
>
> Do you mean that we should call destroy_commit_graph() if we detect a
> shallow repository during write_commit_graph(), then I can make that
> change.

I think Junio meant here the "instead" word, because you have it twice
in the second sentence of quoted paragraph.

-- 
Jakub Narębski